## ide-pausable ide-pausable |

## Functions

IdePausable * | ide_pausable_new ()
gboolean | ide_pausable_get_paused ()
void | ide_pausable_set_paused ()
void | ide_pausable_pause ()
void | ide_pausable_unpause ()
const gchar * | ide_pausable_get_title ()
void | ide_pausable_set_title ()
const gchar * | ide_pausable_get_subtitle ()
void | ide_pausable_set_subtitle ()

## Properties

gboolean | paused | Read / Write
gchar * | subtitle | Read / Write
gchar * | title | Read / Write

## Signals

void | paused | Run Last
void | unpaused | Run Last

## Types and Values

#define | IDE_TYPE_PAUSABLE
| IdePausable

## Object Hierarchy

        GObject
        ╰── IdePausable

## Description

## Functions

### ide_pausable_new ()

    IdePausable *
    ide_pausable_new (void);

### ide_pausable_get_paused ()

    gboolean
    ide_pausable_get_paused (IdePausable *self);

### ide_pausable_set_paused ()

    void
    ide_pausable_set_paused (IdePausable *self,
                             gboolean paused);

### ide_pausable_pause ()

    void
    ide_pausable_pause (IdePausable *self);

### ide_pausable_unpause ()

    void
    ide_pausable_unpause (IdePausable *self);

### ide_pausable_get_title ()

    const gchar *
    ide_pausable_get_title (IdePausable *self);

### ide_pausable_set_title ()

    void
    ide_pausable_set_title (IdePausable *self,
                            const gchar *title);

### ide_pausable_get_subtitle ()

    const gchar *
    ide_pausable_get_subtitle (IdePausable *self);

### ide_pausable_set_subtitle ()

    void
    ide_pausable_set_subtitle (IdePausable *self,
                               const gchar *subtitle);

## Types and Values

### IDE_TYPE_PAUSABLE

    #define IDE_TYPE_PAUSABLE (ide_pausable_get_type())

### IdePausable

    typedef struct _IdePausable IdePausable;

## Property Details

### The `“paused”` property

      “paused”                   gboolean

Flags: Read / Write

Default value: FALSE

### The `“subtitle”` property

      “subtitle”                 gchar *

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    gchar *

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“paused”` signal

    void
    user_function (IdePausable *idepausable,
                   gpointer     user_data)

Flags: Run Last

### The `“unpaused”` signal

    void
    user_function (IdePausable *idepausable,
                   gpointer     user_data)

Flags: Run Last